Documentation de l'api communicationApi (1.0.0)

Download OpenAPI specification:Download

Documentation et contrat d'interface pour l'api communication, l'api responsable de d'envoie de mails.

Mails

sendMail

envoie de mail.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Request Body schema: application/json
id
string

id technique et unique généré automatiquement et qui identifie un object mail.

sendingDate
string <date-time>

date d'envoi remplie automatiquement au moment de l'envoi (Timestamp au format ISO 8601)

receiversId
Array of strings

les id techniques des destinataires.

publicationId
string

id technique d'une annonce.

reservationId
string

id technique d'une réservation.

productType
string
Enum: "TRIP" "HOTE"

Type de produit (Trip, hote ...).

organizationId
string

id technique d'un organisme.

establishmentId
string

id technique d'une établissement.

category
string
Enum: "PROFILE_COMPLETION_REQUEST" "ORGANIZATION_CREATION_REQUEST" "ESTABLISHMENT_CREATION_REQUEST" "ORGANIZATION_INFO_COMPLETION_REQUEST" "ESTABLISHMENT_INFO_COMPLETION_REQUEST" "USER_ACCOUNT_ACTIVATION_CONFIRMATION" "ORGANIZATION_ACTIVATION_CONFIRMATION" "ESTABLISHMENT_ACTIVATION_CONFIRMATION" "TRIP_DRAFT_PUBLICATION_REQUEST" "TRIP_PUBLICATION_NOTIFICATION" "TRIP_RESPONSIBLE_DESIGNATION_NOTIFICATION" "PARTNER_TRIP_BOOKING_NOTIFICATION" "CLIENT_TRIP_BOOKING_NOTIFICATION" "PARTNER_BOOKING_CANCELLATION_NOTIFICATION" "CLIENT_BOOKING_CANCELLATION_NOTIFICATION" "PARTNER_PAYMENT_NOTIFICATION" "CLIENT_PAYMENT_NOTIFICATION" "TRIP_REMINDER_NOTIFICATION"

Catégorie du mail.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "sendingDate": "2019-08-24T14:15:22Z",
  • "receiversId": [
    ],
  • "publicationId": "string",
  • "reservationId": "string",
  • "productType": "TRIP",
  • "organizationId": "string",
  • "establishmentId": "string",
  • "category": "PROFILE_COMPLETION_REQUEST"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "sendingDate": "2019-08-24T14:15:22Z",
  • "receiversId": [
    ],
  • "publicationId": "string",
  • "reservationId": "string",
  • "productType": "TRIP",
  • "organizationId": "string",
  • "establishmentId": "string",
  • "category": "PROFILE_COMPLETION_REQUEST",
  • "links": [
    ]
}

Message de contact

sendContactMessage

contacter nous.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Request Body schema: application/json
id
string

id technique et unique généré automatiquement et qui identifie un object contact.

conversationId
string

id technique attribué au 1er message afin de rattacher d'autres messages en cas de repenser.

sendingDate
string <date-time>

date d'envoi remplie automatiquement au moment de l'envoi (Timestamp au format ISO 8601)

receiverId
string

l'id techniqye du destinataire.

transmitterId
string

L'id technique de l'emetteur di connecté.

name
string

Nom du client qui veut nous contacter.

mail
string

adresse mail du client.

object
string

l'objet du message.

message
string

message du client.

required
any

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "conversationId": "string",
  • "sendingDate": "2019-08-24T14:15:22Z",
  • "receiverId": "string",
  • "transmitterId": "string",
  • "name": "string",
  • "mail": "string",
  • "object": "string",
  • "message": "string",
  • "required": null
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "conversationId": "string",
  • "sendingDate": "2019-08-24T14:15:22Z",
  • "receiverId": "string",
  • "transmitterId": "string",
  • "name": "string",
  • "mail": "string",
  • "object": "string",
  • "message": "string",
  • "required": null,
  • "links": [
    ]
}

listContactMessage

contacter nous.

path Parameters
contact_id
required
string

id technique du du message du contact.

query Parameters
currentPage
integer >= 1

le numéro de la page actuelle, si 1er appel ne pas envoyer cet attribut.

sizePage
integer >= 3

Nombre d'éléments par page.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Responses

Response samples

Content type
application/json
{
  • "totalElements": 0,
  • "totalPages": 0,
  • "currentPage": 0,
  • "content": [
    ]
}

getContactMessage

contacter nous.

path Parameters
contact_id
required
string

id technique du du message du contact.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "conversationId": "string",
  • "sendingDate": "2019-08-24T14:15:22Z",
  • "receiverId": "string",
  • "transmitterId": "string",
  • "name": "string",
  • "mail": "string",
  • "object": "string",
  • "message": "string",
  • "required": null,
  • "links": [
    ]
}

Conversation

addConversation

créer une conversation.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Request Body schema: application/json
id
string <uuid>
tripPublicationId
required
string
tripReference
required
string
establishmentId
required
string
customerId
required
string
assignedAgentId
string or null

L'id de l'agent actuellement responsable de la conversation.

participants
Array of strings

Liste des IDs des utilisateurs impliqués (client + agents).

object (message)

Représente un message échangé dans une conversation.

status
string
Enum: "OPEN" "CLOSED" "ARCHIVED"

Statut de la conversation (ouverte, fermée, archivée)

Responses

Request samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "tripPublicationId": "string",
  • "tripReference": "string",
  • "establishmentId": "string",
  • "customerId": "string",
  • "assignedAgentId": "string",
  • "participants": [
    ],
  • "lastMessage": {
    },
  • "status": "OPEN"
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "tripPublicationId": "string",
  • "tripReference": "string",
  • "establishmentId": "string",
  • "customerId": "string",
  • "assignedAgentId": "string",
  • "participants": [
    ],
  • "lastMessage": {
    },
  • "status": "OPEN",
  • "links": [
    ]
}

listConversation

lister les conversations.

query Parameters
establishmentId
string

id technique de l'établissement concerné par la conversation.

customerId
string

id de l'utilisateur qui créer la conversation.

assignedAgentId
string

id de l'agent qui gere la conversation.

currentPage
integer >= 1

le numéro de la page actuelle, si 1er appel ne pas envoyer cet attribut.

sizePage
integer >= 3

Nombre d'éléments par page.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Responses

Response samples

Content type
application/json
{
  • "totalElements": 0,
  • "totalPages": 0,
  • "currentPage": 0,
  • "content": [
    ]
}

getConversation

recuperer une conversation.

path Parameters
conversation-id
required
string

id technique de la conversation.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "tripPublicationId": "string",
  • "tripReference": "string",
  • "establishmentId": "string",
  • "customerId": "string",
  • "assignedAgentId": "string",
  • "participants": [
    ],
  • "lastMessage": {
    },
  • "status": "OPEN",
  • "links": [
    ]
}

putConversation

modification d'une conversation.

path Parameters
conversation-id
required
string

id technique de la conversation.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Request Body schema: application/json
id
string <uuid>
tripPublicationId
required
string
tripReference
required
string
establishmentId
required
string
customerId
required
string
assignedAgentId
string or null

L'id de l'agent actuellement responsable de la conversation.

participants
Array of strings

Liste des IDs des utilisateurs impliqués (client + agents).

object (message)

Représente un message échangé dans une conversation.

status
string
Enum: "OPEN" "CLOSED" "ARCHIVED"

Statut de la conversation (ouverte, fermée, archivée)

Responses

Request samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "tripPublicationId": "string",
  • "tripReference": "string",
  • "establishmentId": "string",
  • "customerId": "string",
  • "assignedAgentId": "string",
  • "participants": [
    ],
  • "lastMessage": {
    },
  • "status": "OPEN"
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "tripPublicationId": "string",
  • "tripReference": "string",
  • "establishmentId": "string",
  • "customerId": "string",
  • "assignedAgentId": "string",
  • "participants": [
    ],
  • "lastMessage": {
    },
  • "status": "OPEN",
  • "links": [
    ]
}

assignConversation

Mise à jour de l'agent assigné à une conversation.

path Parameters
conversation-id
required
string

id technique de la conversation.

query Parameters
assignedAgentId
required
string

Identifiant de l'agent assigné à la conversation.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Responses

Response samples

Content type
application/json
{
  • "name": "string",
  • "debug_id": "string",
  • "message": "string",
  • "information_link": "string",
  • "details": [
    ],
  • "links": [
    ]
}

listMessages

recuperer les messages d'une conversation.

path Parameters
conversation-id
required
string

id technique de la conversation.

query Parameters
currentPage
integer >= 0

le numéro de la page actuelle, si 1er appel ne pas envoyer cet attribut.

sizePage
integer >= 1

Nombre d'éléments par page.

header Parameters
X-Correlation-ID
string

Identifiant de corrélation

Responses

Response samples

Content type
application/json
{
  • "totalElements": 0,
  • "totalPages": 0,
  • "currentPage": 0,
  • "content": [
    ]
}